/**
 * API to obtain an answer from the chatbot to a question.
 * The answer will be generated by the ChatbotManager (+ Context, ...) and
 * saved by index.js in the lastAnswer parameter (returned by the API with the res parameter)
 * with the printChatbotAnswer function.
 */
const { getCurrentChatbotManager } = require("../utils/getCurrentManagers");
exports.get = (req, res) => {
  const chatbotManager = getCurrentChatbotManager();
  chatbotManager.answerToUser(req.params.message).then(() => {
    res.send(chatbotManager.lastAnswer);
  });
};
